/** @jsx jsx */
import { ReactElement, Ref, CSSProperties } from 'react';
import { jsx } from '@keystone-ui/core';
declare type RenderProps = {
    onMouseEnter: () => void;
    onMouseLeave: () => void;
    onFocus: () => void;
    onBlur: () => void;
    'aria-describedby': string | undefined;
    ref: Ref<any>;
};
declare type Props = {
    /** The target element. */
    children: (props: RenderProps) => ReactElement;
    /** The content of the tooltip. */
    content: string;
    /** Where, in relation to the target, to place the tooltip. */
    placement?: 'top' | 'right' | 'bottom' | 'left';
};
export declare const Tooltip: ({ children, content, placement }: Props) => jsx.JSX.Element;
declare type ElementProps = {
    /** The content of the tooltip. */
    children: string;
    /** ID used to describe the invoking element. */
    id?: string;
    /** When true, the tooltip will be visible. */
    isVisible: boolean;
    arrow: {
        ref: (element: HTMLDivElement) => void;
        props: {
            style: CSSProperties;
        };
    };
};
export declare const TooltipElement: import("react").ForwardRefExoticComponent<ElementProps & import("react").RefAttributes<HTMLDivElement>>;
export {};
